# PixelFormat enum

The format of pixel data given to decodeImageFromPixels.

## Constants

bgra8888 → const PixelFormat

  Each pixel is 32 bits, with the highest 8 bits encoding blue, the next 8 bits encoding green, the next 8 bits encoding red, and the lowest 8 bits encoding alpha.

  `const PixelFormat(1)`
rgba8888 → const PixelFormat

  Each pixel is 32 bits, with the highest 8 bits encoding red, the next 8 bits encoding green, the next 8 bits encoding blue, and the lowest 8 bits encoding alpha.

  `const PixelFormat(0)`
values → const List<PixelFormat>

  A constant List of the values in this enum, in order of their declaration.

  `const List<PixelFormat>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited